[PVE-User] Cannot create container with Proxmox 4.4 and CEPH 12.2.2

Iztok Gregori iztok.gregori at elettra.eu
Tue Mar 13 10:44:46 CET 2018


Hi!

I'm not sure I've found a bug or I'm missing something. Today I've tried 
to create a new LXC container on a CEPH RBD storage and the creation 
failed with the output:

pvedaemon[19601]: Could not parse Ceph version: 'ceph version 12.2.2 
(cf0baeeeeba3b47f9427c6c97e2144b094b7e5ba) luminous (stable)'
pvedaemon[19601]: Use of uninitialized value $major in numeric lt (<) at 
/usr/share/perl5/PVE/Storage/RBDPlugin.pm line 111.
pvedaemon[19601]: can't mount rbd volume vm-147-disk-2: rbd: sysfs write 
failed

The image was created on CEPH, but the container was not. We upgraded 
CEPH from Hammer to Luminous and this was the first container creation 
after the upgrade (with Hammer containers were created without 
problems). Other than this we don't have any other problem with Proxmox 
and CEPH.

I diged a little bit and it seems that the function 
"ceph_version_parser" (in RBDPlugin) is not parsing correctly the output 
of "ceph --version".

I've checked if the file/package is outdated, but it seems that 
"libpve-storage-perl" is the latest one available (4.0-76) and I didn't 
found any references about this behavior.

Have you similar experiences?

Here is my version:
# pveversion -v
proxmox-ve: 4.4-105 (running kernel: 4.4.98-5-pve)
pve-manager: 4.4-22 (running version: 4.4-22/2728f613)
pve-kernel-4.4.35-1-pve: 4.4.35-77
pve-kernel-4.4.98-5-pve: 4.4.98-105
lvm2: 2.02.116-pve3
corosync-pve: 2.4.2-2~pve4+1
libqb0: 1.0.1-1
pve-cluster: 4.0-54
qemu-server: 4.0-115
pve-firmware: 1.1-11
libpve-common-perl: 4.0-96
libpve-access-control: 4.0-23
libpve-storage-perl: 4.0-76
pve-libspice-server1: 0.12.8-2
vncterm: 1.3-2
pve-docs: 4.4-4
pve-qemu-kvm: 2.9.1-6~pve4
pve-container: 1.0-104
pve-firewall: 2.0-33
pve-ha-manager: 1.0-41
ksm-control-daemon: 1.2-1
glusterfs-client: 3.5.2-2+deb8u3
lxc-pve: 2.0.7-4
lxcfs: 2.0.6-pve1
criu: 1.6.0-1
novnc-pve: 0.5-9
smartmontools: 6.5+svn4324-1~pve80
zfsutils: 0.6.5.9-pve15~bpo80


The CEPH libraries are:
ceph-common-12.2.2-1
libcephfs1-0.80.7-2+deb8u2
libcephfs2-12.2.2-1~bpo80+1


Thanks a lot in advance
Iztok

-- 
Iztok Gregori
ICT Systems and Services
Elettra - Sincrotrone Trieste S.C.p.A.
Telephone: +39 040 3758948
http://www.elettra.eu




More information about the pve-user mailing list